local modpath = core.get_modpath("pyutest_tools")

dofile(modpath .. "/api.lua")
dofile(modpath .. "/tools.lua")
dofile(modpath .. "/tools/axes.lua")
dofile(modpath .. "/tools/pickaxes.lua")

dofile(modpath .. "/items.lua")
dofile(modpath .. "/combat.lua")
dofile(modpath .. "/food.lua")

PyuTest.make_tool("pyutest_tools:test", "Fireball Launcher", {}, "pyutest-stick.png", {
	on_use = function (itemstack, user, pointed_thing)
		PyuTest.shoot_projectile_from_object("pyutest_projectiles:fireball", user)
	end
})

PyuTest.make_tool("pyutest_tools:test2", "Arrow Launcher", {}, "pyutest-stick.png", {
	on_use = function (itemstack, user, pointed_thing)
		PyuTest.shoot_projectile_from_object("pyutest_projectiles:arrow", user, 23)
	end
})
